# Poco

# class HexBinaryDecoderBuf

Library: Foundation
Package: Streams
Header: Poco/HexBinaryDecoder.h

## Description

This streambuf decodes all hexBinary-encoded data read from the istream connected to it. In hexBinary encoding, each binary octet is encoded as a character tuple, consisting of two hexadecimal digits ([0-9a-fA-F]) representing the octet code. See also: XML Schema Part 2: Datatypes (http://www.w3.org/TR/xmlschema-2/), section 3.2.15.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Constructors

### HexBinaryDecoderBuf

HexBinaryDecoderBuf(
std::istream & istr
);

## Destructor

### ~HexBinaryDecoderBuf

~HexBinaryDecoderBuf();